Subject: Re: [bug#52910] [PATCH] gnu: krita: Fix build.
From: Leo Famulari <[email-masked]>
To: Vinicius Monego <[email-masked]>
Cc: [email-masked]
Date: Sat, 1 Jan 2022 21:21:36 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Dec 31, 2021 at 11:43:26PM +0000, Vinicius Monego wrote:
> I did try to fix it by setting "PYQT_SIP_DIR_OVERRIDE" [1] to point to
> the correct sip dir (see the veusz package for instance), but CMake
> ignored that variable when I set it.
> 
> The problem is that Krita in my machine takes 4 to 5 hours to reach
> 67%, where it fails, to test if it works or not. In the CI, Krita takes
> as many minutes to fail at 67% as Blender takes to fully build.
> 
> The functionality was also never "enabled" because the build failed
> before it could be used.

Okay. I added the context to the commit message and pushed as
2c6dfeac6459901b500a81a1d733a48993792a11